
Redmine - Defect #8971

Error while Issue creating via Email

2011-08-02 17:11 - ashwini bile

Status: Closed Start date: 2011-08-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

rake -f /opt/bitnami/apps/redmine/Rakefile redmine:email:receive_imap RAILS_ENV="production" host=imap.xyz.de username=

abc@lmn.com password=xxx --trace

When I tried to run above command I receive below mentioned error message.

(in /home/bitnami)

rake aborted!

no such file to load -- /opt/config/environment

/opt/bitnami/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

/opt/bitnami/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:184:in `require'

/opt/bitnami/apps/redmine/lib/tasks/reminder_all.rake:29

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:173:in

`load_without_new_constant_marking'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:173:in `load'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14:in `each'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14

/opt/bitnami/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

/opt/bitnami/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

/opt/bitnami/apps/redmine/Rakefile:10

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `load'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_rakefile'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rakefile'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rakefile'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/opt/bitnami/ruby/bin/rake:19:in `load'

/opt/bitnami/ruby/bin/rake:19

But when I create Issue in Redmine ,its sending email.

I am using Bitnami stack with ubuntu

anykind of help will be appreciated.

Thanks in advance!!

Ashwini

History

#1 - 2011-11-28 00:30 - Mischa The Evil

- Category set to Email receiving

Did you get it working in the end?

#2 - 2019-02-09 07:33 - Go MAEDA

- Status changed from New to Closed
- Resolution set to Cant reproduce

Since Redmine 1.x is too old, I am closing this issue. Please reopen this issue if you can reproduce the same problem in the latest version of

Redmine.
